{% extends 'base.html.twig' %}
{%block stylesheets %}

    <title>Adress Book</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <meta content="" name="description" />
    <meta content="" name="author" />
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{{asset('uploads/favicon/ms-icon-144x144.png')}}">
    <meta name="theme-color" content="#ffffff">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/simple-line-icons/simple-line-icons.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/uniform/css/uniform.default.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css')}}" rel="stylesheet" type="text/css" />

    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN THEME GLOBAL STYLES -->
    <link href="{{ asset('bundles/backoffice/assets/global/css/components.min.css')}}" rel="stylesheet" id="style_components" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/css/plugins.min.css')}}" rel="stylesheet" type="text/css" />
    <!-- END THEME GLOBAL STYLES -->
    <!-- BEGIN THEME LAYOUT STYLES -->
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/layout.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/themes/blue.css')}}" rel="stylesheet" type="text/css" id="style_color" />
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap/js/bootstrap.min.js')}}" type="text/javascript"></script>
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <link href="{{ asset('bundles/backoffice/assets/layouts/layout/css/custom.css')}}" rel="stylesheet" type="text/css" />


    <link href="{{ asset('bundles/backoffice/assets/global/plugins/datatables/datatables.min.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{ asset('inc/src/css/bootstrap-datepicker3.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('inc/src/css/bootstrap-datetimepicker.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-colorpicker/css/colorpicker.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('bundles/backoffice/assets/global/plugins/jquery-minicolors/jquery.minicolors.css')}}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="{{ asset('bundles/backoffice/assets/map/themes/base/jquery.ui.all.css')}}">
    <link rel="stylesheet" href="{{ asset('bundles/backoffice/assets/map/demo.css')}}">

{%endblock%}
{% block body %}

<div class="row">
    <div class="col-md-12">
        <div class="portlet">
            <div class="portlet-body">
                {{ form_start(form, {'attr': {'class': 'form-horizontal'}}) }}
                <div class="form-body">
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                            <h1>{{ app.request.attributes.get("_route") == 'book_new' ? 'Creation' : 'Modification' }}
                                Address Book</h1>
                            <h5>Remember to check your details before confirming</h5>
                            <div class="col-xs-12 col-lg-6">
                                <div class='input input-positioned'>
                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Firstname<span class="required">* </span></label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.firstname, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.firstname) }} </span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Lastname<span class="required">* </span></label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.lastname, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.lastname) }} </span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Phone N°</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.phoneNumber, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.phoneNumber) }} </span>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Birthday</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.birthday, {'attr': {'class': 'form-control input-medium date-picker'}}) }}
                                            <span class="help-block">{{ form_errors(form.birthday) }} </span>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Street</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.street, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">example:12 Street Planchat, 75020 Paris, France </span>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Number</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.addressNumber, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.addressNumber) }} </span>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Country</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.country, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.country) }} </span>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">City</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.city, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.city) }} </span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-xs-12 col-md-3 control-label">Zip</label>
                                        <div class="col-xs-12 col-md-8">
                                            {{ form_widget(form.zip, {'attr': {'class': 'form-control input-large'}}) }}
                                            <span class="help-block">{{ form_errors(form.zip) }} </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-lg-6">
                                <div class="row">
                                    <div class="col-xs-10 col-sm-10 col-md-10 col-lg-12">
                                        <h3>Localisation</h3>
                                    </div>
                                </div>
                                <hr>
                                <div class='row'>
                                    <div class="col-xs-10 col-md-10 col-lg-12">
                                        <div class='map-wrapper'>
                                            <div id="map"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5 col-sm-12">
                        </div>
                        <div class="col-md-7 col-sm-12">
                            <button type="submit" name="validLocalisation" class="btn btn-display-block  green">
                                <i class="fa fa-map-marker"></i> Save </button>
                            <a href="{{path('book_index')}}" name="back" class="btn btn-display-block  green" title="back">Return back</a>
                            </div>
                        </div>
                    </div>
                </div>

                {{ form_rest(form) }}
                {{ form_end(form) }}
            </div>
        </div>
    </div>
</div>
{% endblock %}

{%block javascripts %}
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/js.cookie.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-slimscroll/jquery.slimscroll.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery.blockui.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/uniform/jquery.uniform.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->

    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="{{ asset('bundles/backoffice/assets/global/scripts/app.min.js')}}" type="text/javascript"></script>
    <!-- END THEME GLOBAL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
    <script src="{{ asset('bundles/backoffice/assets/layouts/layout/scripts/layout.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/layouts/global/scripts/quick-sidebar.min.js')}}" type="text/javascript"></script>

    <script src="{{ asset('bundles/backoffice/assets/global/scripts/datatable.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/plupload/js/plupload.full.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.js')}}" type="text/javascript"></script>
    <script src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-minicolors/jquery.minicolors.min.js')}}" type="text/javascript"></script>
    <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyDMzfqpMuwW45W7Ty1S-258E87l67yvP1Y&sensor=false"></script>

    <script type="text/javascript" src="{{ asset('bundles/backoffice/assets/global/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('bundles/backoffice/assets/map/themes/js/jquery.ui.addresspicker.js')}}"></script>
    <script src="{{ asset('inc/src/js/moment.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datepicker.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datetimepicker.min.js')}}"></script>
    <script src="{{ asset('inc/src/js/bootstrap-datepicker.fr.js')}}"></script>
    <script>
        $(document).ready(function () {

                var addresspicker = $("#addresspicker").addresspicker({
                    componentsFilter: 'country:EN',
                    updateCallback: showCallback,
                });
                var addresspickerMap = $("#book_street").addresspicker({
                    regionBias: "en",
                    language: "en",
                    updateCallback: showCallback,
                    mapOptions: {
                        zoom: 4,
                        center: new google.maps.LatLng(46, 2),
                        scrollwheel: true,
                        mapTypeId: google.maps.MapTypeId.ROADMAP
                    },
                    elements: {
                        map: "#map",
                        lat: "#book_latitude",
                        lng: "#book_longitude",
                        street_number: '#book_addressNumber',
                        route: '#book_street',
                        country: '#book_country',
                        postal_code: '#book_zip',
                        zoom: '#book_zoom',
                    }
                });

                var gmarker = addresspickerMap.addresspicker("marker");
                gmarker.setVisible(true);
                addresspickerMap.addresspicker("updatePosition");

                $('#reverseGeocode').change(function () {
                    $("#book_street").addresspicker("option", "reverseGeocode", ($(this).val() === 'true'));
                });

                function showCallback(geocodeResult, parsedGeocodeResult) {
                    $('#callback_result').text(JSON.stringify(parsedGeocodeResult, null, 4));
                }

                // Update zoom field
                var map = $("#book_street").addresspicker("map");
                google.maps.event.addListener(map, 'idle', function () {
                    $('#book_zoom').val(map.getZoom());
                });

        });

    </script>
    <script>
        $('.date-picker').datepicker({
            format: "dd/mm/yyyy",
            language: "en",
            autoclose: true,
            todayHighlight: true
        });
    </script>

{% endblock %}
